hdf_set_int_value(3)

NAME
hdf_set_int_value - Set the value of a named node to a number

SYNOPSIS

#include <util/neo_hdf.h>

NEOERR* hdf_set_int_value (HDF *hdf, const char *name, int value);

ARGUMENTS
hdf -> the pointer to the hdf dataset
name -> the named node to walk to
value -> the value to set the node to

DESCRIPTION
hdf_set_int_value is a helper function that maps an integer to a string, and then calls hdf_set_value with that string

RETURN VALUE
None

SEE ALSO
hdf_set_symlink(3), hdf_get_valuef(3), compareFunc)(3), hdf_dump_str(3), hdf_get_int_value(3), hdf_read_string_ignore(3), hdf_copy(3), hdf_get_node(3), hdf_set_value(3), hdf_obj_child(3), hdf_read_string(3), hdf_set_buf(3), hdf_register_fileload(3), hdf_get_obj(3), hdf_get_attr(3), hdf_obj_top(3), hdf_dump_format(3), hdf_destroy(3), hdf_init(3), hdf_obj_value(3), hdf_write_string(3), hdf_set_valuevf(3), hdf_sort_obj(3), hdf_write_file_atomic(3), hdf_obj_attr(3), hdf_set_valuef(3), hdf_get_copy(3), hdf_write_file(3), hdf_get_valuevf(3), hdf_set_int_value(3), hdf_dump(3), hdf_get_value(3), hdf_set_copy(3), hdf_obj_next(3), hdf_search_path(3), hdf_obj_name(3), hdf_set_attr(3), hdf_get_child(3), hdf_remove_tree